# $Revision: 1.25 $, $Date: 2012/05/18 09:48:39 $
Summary:	Xfce desktop environment
Summary(pl.UTF-8):	Środowisko graficzne Xfce
Name:		metapackage-xfce
Version:	4.10.0
Release:	1
License:	GPL
Group:		X11/Applications
Requires:	Terminal >= 0.4.6
Requires:	Thunar >= 1.4.0
Requires:	Thunar-volman >= 0.8.0
Requires:	exo >= 0.8.0
Requires:	garcon >= 0.2.0
Requires:	gtk-xfce-engine >= 3.0.0
Requires:	libxfce4ui >= 4.10.0
Requires:	libxfce4util >= 4.10.0
Requires:	mousepad >= 0.2.16
Requires:	orage >= 4.8.0
Requires:	tumbler >= 0.1.25
Requires:	xfce-preferred-applications >= 0.8.0
Requires:	xfce4-appfinder >= 4.10.0
Requires:	xfce4-mixer >= 4.6.1
Requires:	xfce4-panel >= 4.10.0
Requires:	xfce4-power-manager >= 1.2.0
Requires:	xfce4-session >= 4.10.0
Requires:	xfce4-settings >= 4.10.0
Requires:	xfce4-volumed
Requires:	xfconf >= 4.10.0
Requires:	xfdesktop >= 4.10.0
Requires:	xfwm4 >= 4.10.0
Requires:	xfwm4-themes >= 4.10.0
Requires:	xfce4-notifyd
Requires:	xscreensaver >= 5.13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfce desktop environment metapackage.

%description -l pl.UTF-8
Metapakiet środowiska graficznego Xfce.

%package extras
Summary:	Additional packages for Xfce desktop environment
Summary(pl.UTF-8):	Dodatkowe pakiety dla środowiska graficznego Xfce
Group:		X11/Applications
Requires:	Xarchiver >= 0.5.2
Requires:	ristretto >= 0.6.0
Requires:	xfburn >= 0.4.1
Requires:	xfce4-artwork >= 0.1
Requires:	xfce4-dict >= 0.6.0
Requires:	xfce4-screenshooter >= 1.8.1
Requires:	xfce4-taskmanager >= 1.0.0
Suggests:	gigolo
Suggests:	parole
Suggests:	postler
Suggests:	xfmedia
Suggests:	xfmpc

%description extras
Metapackage to install additional packages for Xfce desktop
environment.

%description extras -l pl.UTF-8
Metapakiet instalujący dodatkowe pakiety dla środowiska graficznego
Xfce.

%package panel-plugins
Summary:	Panel plugins for Xfce desktop environment
Summary(pl.UTF-8):	Wtyczki panelu środowiska graficznego Xfce
Group:		X11/Applications
Requires:	xfce4-battery-plugin >= 1.0.4
Requires:	xfce4-cellmodem-plugin >= 0.0.5
Requires:	xfce4-clipman-plugin >= 1.2.3
Requires:	xfce4-cpufreq-plugin >= 1.0.0
Requires:	xfce4-cpugraph-plugin >= 1.0.0
Requires:	xfce4-datetime-plugin >= 0.6.1
Requires:	xfce4-dict-plugin
Requires:	xfce4-diskperf-plugin >= 2.5.3
Requires:	xfce4-eyes-plugin >= 4.4.0
Requires:	xfce4-fsguard-plugin >= 0.4.2
Requires:	xfce4-genmon-plugin >= 3.4.0
Requires:	xfce4-linelight-plugin >= 0.1.6
Requires:	xfce4-mailwatch-plugin >= 1.1.0
Requires:	xfce4-mount-plugin >= 0.6.4
Requires:	xfce4-mpc-plugin >= 0.4.3
Requires:	xfce4-netload-plugin >= 1.1.0
Requires:	xfce4-notes-plugin >= 1.7.7
Requires:	xfce4-places-plugin >= 1.3.0
Requires:	xfce4-playercontrol-plugin >= 0.3.0
Requires:	xfce4-quicklauncher-plugin >= 1.9.4-3
Requires:	xfce4-radio-plugin >= 0.4.4
Requires:	xfce4-sensors-plugin >= 1.2.5
Requires:	xfce4-smartbookmark-plugin >= 0.4.4
Requires:	xfce4-systemload-plugin >= 1.1.0
Requires:	xfce4-time-out-plugin >= 1.0.1
Requires:	xfce4-timer-plugin >= 0.6.1
Requires:	xfce4-trigger-launcher >= 4.2.4.1
Requires:	xfce4-verve-plugin >= 0.3.6
Requires:	xfce4-wavelan-plugin >= 0.5.5
Requires:	xfce4-weather-plugin >= 0.7.3
Requires:	xfce4-xkb-plugin >= 0.5.4.3

%description panel-plugins
Metapackage to install panel plugins for Xfce desktop environment.

%description panel-plugins -l pl.UTF-8
Metapakiet instalujący wtyczki panelu środowiska graficznego Xfce.

%package thunar-plugins
Summary:	Plugins for Thunar file manager
Summary(pl.UTF-8):	Wtyczki do zarządcy plików Thunar
Group:		X11/Applications
Requires:	Thunar-archive-plugin >= 0.2.4
Requires:	Thunar-media-tags-plugin >= 0.2.0

%description thunar-plugins
Plugins for Thunar file manager.

%description thunar-plugins -l pl.UTF-8
Wtyczki do zarządcy plików Thunar.

%prep

%files
%files extras
%files panel-plugins
%files thunar-plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metapackage-xfce.spec,v $
Revision 1.25  2012/05/18 09:48:39  baggins
- updated to 4.10.0

Revision 1.24  2011/05/06 18:00:51  baggins
- rel 5
- R xscreensaver (don't rely on GNOME)

Revision 1.23  2011/04/21 22:38:52  baggins
- rel 4
- require xfce4-notifyd, as gnome's notification-daemon evolved into
  some ususal gnome centric shit

Revision 1.22  2011/03/08 13:19:01  baggins
- rel 3
- added some optional programs

Revision 1.21  2011/03/08 10:22:46  baggins
- rel 2
- thumbnailers are gone, replaced by tumbler

Revision 1.20  2011/03/04 11:03:07  baggins
- S:xfce4-notifyd

Revision 1.19  2011/02/18 11:33:51  megabajt
- updated to 4.8.0

Revision 1.18  2010/11/15 21:50:30  baggins
- 4.6.2

Revision 1.17  2010/11/11 17:55:15  baggins
- sort

Revision 1.16  2010/11/11 17:55:02  baggins
- xmms plugin obsoleted by playercontrol

Revision 1.15  2009/04/27 15:50:04  baggins
- rel 2
- there is no xfwm4-themes 4.6.1

Revision 1.14  2009/04/27 08:32:35  adamg
- updated to 4.6.1

Revision 1.13  2009/03/01 20:45:55  megabajt
- added xfce4-power-manager to -extras

Revision 1.12  2009/03/01 20:21:35  megabajt
- updated to 4.6.0

Revision 1.11  2008/11/29 18:06:02  adamg
- updated to 4.4.3

Revision 1.10  2007/12/08 18:12:07  megabajt
- updated to 4.4.2

Revision 1.9  2007-05-29 15:23:56  megabajt
- added xfce4-time-out-plugin

Revision 1.8  2007/04/25 18:13:28  megabajt
- updated

Revision 1.7  2007/04/19 07:54:12  megabajt
- updated to 4.4.1
- added thunar-plugins subpackage

Revision 1.6  2007/02/25 16:03:06  megabajt
- added Thunar-volman to extras subpackage

Revision 1.5  2007/02/13 20:11:29  qboosh
- unified

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2007/02/11 13:57:36  twittner
- added %prep (or builder's cache_rpm_dump won't work)

Revision 1.1  2007/02/06 22:14:11  megabajt
- new
